<?php
class ModelSaleContestStatusMaster extends Model {
	public function addCustomerGroup($data) {
		$this->db->query("INSERT INTO " . DB_PREFIX . "contest_status_master SET description = '" . $this->db->escape($data['description']) . "',duration = '" . $this->db->escape($data['duration']) . "'");
	}
	
	public function editCustomerGroup($contest_status_master_id, $data) {
		$this->db->query("UPDATE " . DB_PREFIX . "contest_status_master SET description = '" . $this->db->escape($data['description']) . "' , duration = '" . $this->db->escape($data['duration']) . "' WHERE contest_status_master_id = '" . (int)$contest_status_master_id . "'");
	}
	
	public function deleteCustomerGroup($contest_status_master_id) {
		$this->db->query("DELETE FROM " . DB_PREFIX . "contest_status_master WHERE contest_status_master_id = '" . (int)$contest_status_master_id . "'");
	//	$this->db->query("DELETE FROM " . DB_PREFIX . "product_discount WHERE contest_status_master_id = '" . (int)$contest_status_master_id . "'");
	}
	
	public function getCustomerGroup($contest_status_master_id) {
		$query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "contest_status_master WHERE contest_status_master_id = '" . (int)$contest_status_master_id . "'");
		
		return $query->row;
	}
	
	public function getCustomerGroups($data = array()) {
		$sql = "SELECT * FROM " . DB_PREFIX . "contest_status_master";
		
		$sql .= " ORDER BY description";	
			
		if (isset($data['order']) && ($data['order'] == 'DESC')) {
			$sql .= " DESC";
		} else {
			$sql .= " ASC";
		}
		
		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}			

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}	
			
			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}
			
		$query = $this->db->query($sql);
		
		return $query->rows;
	}
	
	public function getTotalCustomerGroups() {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "contest_status_master");
		
		return $query->row['total'];
	}
}
?>